
@import '../../../../../scss/variables';
@import '../../../../../../node_modules/bulma/sass/utilities/all';

.portal-row {
  display: flex;
  flex-direction: column;
  padding-top: $commune-navbar-height; // compensate portal navbar absolute position
  @media screen and (max-width: 500px) {
    padding-top: calc(#{$commune-navbar-height} + 21px); // add extra line height of portal navbar
  }

  >div {
    box-shadow: 0px 6px 12px rgba(129, 128, 128, 0.1);
    border-radius: 8px;
    margin-bottom: 1rem;
  }
  
  .portal-text {
    background: white;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    
    >* {
      margin: 20px 10px;
      @media screen and (min-width: $tablet) {
        margin: 40px 20px;
      }
    }

    h3 {
      max-width: 17em;
      color: #000000;
      font-weight: 700;
      font-size: 26px;
      line-height: 40px;
      padding: 0 .75em;
      border-left: 4px solid var( --commune-color-var, #000000);
    }

    p {
      font-size: 1rem;
    }

    a {
      padding: 11px 16px;

      width: fit-content;
      white-space: break-spaces;
      height: auto;

      border: 1px solid var( --commune-color-var, #000000);
      border-radius: 4px;

      font-size: 16px;
      line-height: 24px;

      color: #000000;
    }
  }

  .portal-stats {
    display: flex;
    flex-wrap: wrap;
    padding: 10px 20px;
    background-color: var( --commune-color-var, #ffffff);

    h3, p {
      color: var( --commune-text_color-var, #000000);
    }
    
    &>div {
      width: 50%;
      padding: 20px;
      @media screen and (max-width: $tablet) {
       width: calc(100vw - (2em + 80px)); // because chart's canvas doesn't work well with 100%, we use screen width and remove paddings width : https://www.chartjs.org/docs/latest/configuration/responsive.html#important-note
      }
      &:first-of-type {
        div {
          height: 100%;
          display: flex;
          flex-direction: column;
          justify-content: center;

          p {
            font-weight: 700;
            font-size: 48px;
            line-height: 54px;
            text-align: center;

            &+p {
              font-weight: 400;
              font-size: 24px;
              line-height: 38px;
            }
          }
        }
      }

      h4 {
        margin: 0 0 9px 0;
        font-weight: 700;
        font-size: 16px;
        line-height: 24px;

        color: var( --commune-text_color-var, #000000);
      }
    }
  }
}
@media screen and (min-width: $desktop) {
  .portal-row {
    flex-direction: row;
    margin-right: 1rem;
    .portal-text {
      margin-right: 1rem;
    }
  }
}